# NonceManager

A helper contract for managing nonce of tx sender

## Functions[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#functions) <a href="#functions" id="functions"></a>

### increaseNonce[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#increasenonce) <a href="#increasenonce" id="increasenonce"></a>

```javascript
function increaseNonce(
) external
```

Advances nonce by one

### advanceNonce[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#advancenonce) <a href="#advancenonce" id="advancenonce"></a>

```javascript
function advanceNonce(
  uint8 amount
) public
```

Advances nonce by specified amount

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#parameters)

| Name     | Type  | Description |
| -------- | ----- | ----------- |
| `amount` | uint8 |             |

### nonceEquals[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#nonceequals) <a href="#nonceequals" id="nonceequals"></a>

```javascript
function nonceEquals(
  address makerAddress,
  uint256 makerNonce
) external returns (bool)
```

Checks if `makerAddress` has specified `makerNonce`

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#parameters-1)

| Name           | Type    | Description |
| -------------- | ------- | ----------- |
| `makerAddress` | address |             |
| `makerNonce`   | uint256 |             |

**Return Values:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#return-values)

| Name     | Type | Description                                                  |
| -------- | ---- | ------------------------------------------------------------ |
| `Result` | bool | True if `makerAddress` has specified nonce. Otherwise, false |

## Events[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#events) <a href="#events" id="events"></a>

### NonceIncreased[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#nonceincreased) <a href="#nonceincreased" id="nonceincreased"></a>

```javascript
event NonceIncreased(
  address maker,
  uint256 newNonce
)
```

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/NonceManager#parameters-2)

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `maker`    | address |             |
| `newNonce` | uint256 |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vulpefi.com/aggregation-protocol/limit-order-protocol/smart-contracts/helpers/noncemanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
